services:
  kratos-mcp-server:
    build:
      context: ./kratos-mcp
    container_name: mcp_ory_kratos
    stdin_open: true
    tty: true
    init: true
    environment:
      - KRATOS_ADMIN_URL=http://kratos:4434
    networks:
      - ory-net

  hydra-mcp-server:
    build:
      context: ./hydra-mcp
    container_name: mcp_ory_hydra
    stdin_open: true
    tty: true
    init: true
    environment:
      - HYDRA_PUBLIC_URL=http://hydra:4444
      - HYDRA_ADMIN_URL=http://hydra:4445
    networks:
      - ory-net

  keto-mcp-server:
    build:
      context: ./keto-mcp
    container_name: mcp_ory_keto
    stdin_open: true
    tty: true
    init: true
    environment:
      - KETO_READ_URL=http://keto:4466
      - KETO_WRITE_URL=http://keto:4467
    networks:
      - ory-net

networks:
  ory-net:
    external: true
    name: ory-net